function calculate_peaks_2(categ,Type)
%this function calculates the peaks of each waveform
%for a specific category defined by variable categ
%make sure that the 3D array AMP, under file [categ '_data.mat'], exists
%Type: 'High', 'Low', 'Mean'

%enter the appropriate location and load array
dirname=['C:\MATLAB\work\NN-predict_next\' Type];
cd (dirname);
tmpstr = [categ '_data'];
load(tmpstr)
TEMP = AMP;
clear AMP;

%build directories
S1 = ['C:\MATLAB\work\Peaks\'];
cd(S1);
S2 = [S1 Type];
try
    cd(S2);
catch
    mkdir(S1, Type);
    cd(S2);
end
S1 = [S2 '\Per_Peak\'];
try
    cd(S1);
catch
    mkdir(S2, 'Per_Peak');
    cd(S1);
end

for k=1:8
    %begin loop for each subject
    for i=1:size(TEMP,3)
        %begin loop for each node
        for j=1:15
            
            %setting curve limits and calculating peaks
            switch k
            case 1, st=20; fin=80; sel='p';      xx = 'p50';
            case 2, st=76; fin=160; sel='n';     xx = 'n100';
            case 3, st=140; fin=250; sel='p';    xx = 'p200';
            case 4, st=180; fin=300; sel='n';    xx = 'n200';
            case 5, st=220; fin=380; sel='p';    xx = 'p300';
            case 6, st=240; fin=500; sel='p';    xx = 'p300b';
            case 7, st=340; fin=500; sel='n';    xx = 'n400';
            case 8, st=500; fin=800; sel='p';    xx = 'p600';
            end
            
            if sel=='p'
                [M,pos]=min(TEMP(j,st/2+1:fin/2+1,i));
            else
                [M,pos]=max(TEMP(j,st/2+1:fin/2+1,i));
            end
            T = (st/2+pos)*2-2;
            AMP(i,j)=M;
            LAT(i,j)=T;
            
        end
    end
   
    %the name of the mat file to be created
    tmpfile = [categ '_peaks_' xx];
    save(tmpfile,'AMP','LAT');
    tmpfile1 = [tmpfile '_A'];
    save(tmpfile1,'AMP','-ascii','-tabs');
    tmpfile2 = [tmpfile '_L'];
    save(tmpfile2,'LAT','-ascii','-tabs');
%END of loop for each patient
end